<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Panel: LANGUAGE SWITCHER
| Version: 1.03
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
| First Release: 13.01.2008 / Latest Release: 30.08.2008
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/


$language_files = makefilelist(LOCALE, ".|..", true, "folders");

if (isset($_POST['switchuser_language']) AND in_array($_POST['switchuser_language'], $language_files))
{
	setcookie("user_language", $_POST['switchuser_language'], time() + 3600*24*30, "/", "", "0");
	redirect(FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
}


if(isset($_COOKIE['user_language']) && $_COOKIE['user_language'] != '' && preg_match("/^[0-9a-zA-Z_]+$/", $_COOKIE['user_language'])) {
$selected = $_COOKIE['user_language'];
} else {
$selected = $settings['locale'];
}

openside("Language Switcher");
echo "<div style='text-align:center;'>
<form name='language_switcher' method='post' action='".FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "")."'>
<select name='switchuser_language' class='textbox' style='width:100px;' onChange=\"javascript:document.language_switcher.submit();\">
".makefileopts($language_files, $selected)."
</select>
</form>
</div>";

closeside();
?>